Search Payers

Search for payers by name, ID, or alias.

GET/payers/search

This endpoint queries the Payer Network. It's especially useful when you want to embed dynamic payer search capabilities into your system or application.

  1. Call this endpoint with your desired search criteria. You can search by the payer's name, payer ID, or payer ID aliases. You can also filter the results by supported transaction types.
  2. The endpoint returns information about matching payers, including their possible names, their primary payer ID, payer ID aliases, and supported transaction types.

The search supports fuzzy matching, which means that the results contain an array of exact (if available) and close matches.

Payer records can change. If you store payer details in your own system, refresh them at least once a day.

Results

When you specify multiple transaction filters, they are combined with AND logic, meaning payers must satisfy all specified transaction criteria to be included in results.

Stedi weights results based on text match relevance and additional factors, such as payer size, market share, and transaction volume in order to present the most likely matches first. Stedi also accounts for potential misspellings (a search for CEGNA still returns CIGNA) and transposed letters (a search for ICGNA still returns CIGNA) when searching the payer database.

Examples

This page contains two examples of search results:

  • Search for query string: This example response shows the results of a basic search for the query string "Blue Cross". The URL for this request is https://healthcare.us.stedi.com/2024-04-01/payers/search?query=Blue%20Cross.
  • Search with multiple filters: This example response shows the results of a more advanced search that includes a query string for "Blue Cross", plus additional query parameters that filter for payers supporting eligibility checks and real-time claim status. The URL for this request is https://healthcare.us.stedi.com/2024-04-01/payers/search?query=Blue%20Cross&eligibilityCheck=SUPPORTED&claimStatus=SUPPORTED. This advanced search only returns payers that support both eligibility checks and claim status, while the basic search returns all payers, regardless of the transaction types they support.

Both examples are truncated for brevity to show only one payer matching the results.

Authorization
RequiredHeader

A Stedi API Key for authentication.

Query Parameters

pageSize
IntegerRange: ≥ 10 and ≤ 100

The maximum number of elements to return in a page. If not specified, the default is 20.

pageToken
StringLength: 1 - 1024

An opaque token returned by a previous call to this endpoint in the nextPageToken property. You can use it to request the next page of results. If not specified, Stedi returns the first page of results.

query
StringMax length: 200

The query Stedi will use to search the Payer Network database. You can supply a payer's name, ID, or alias. The query is case-insensitive, and fuzzy matching is supported. For example, cig, 62308, and SX071 all return Cigna in the results. If not provided, the other search options are used to conduct the search.

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER

Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).

Possible values
SUPPORTED
NOT_SUPPORTED
ENROLLMENT_REQUIRED
EITHER
coverageTypes
Array of Strings

Filter for matching payers that support transactions for all of the specified coverage types. For example, setting this array to ["medical", "dental"] returns only payers who provide both medical and dental coverage.

The results also exclude payers without coverage type classifications in Stedi's database.

Possible values
medical
dental
vision
operatingStates
Array of Strings

Filter for matching payers that operate in all of the specified states, territories, or NATIONAL. For example, setting this array to ["CA", "OR"] returns only payers that operate in both California and Oregon. Setting it to ["NATIONAL"] returns payers that operate in all 50 U.S. states. To find payers that also operate in territories, you must include those territory codes explicitly, for example ["NATIONAL", "PR"].

The results also exclude payers without operating state classifications in Stedi's database.

Possible values
AL
AK
AZ
AR
CA
programs
Array of Strings

Filter for matching payers that participate in any of the specified insurance programs. For example, setting this array to ["MEDICARE", "TRICARE"] returns payers that participate in either Medicare or TRICARE.

The results also exclude payers without program classifications in Stedi's database.

Possible values
AUTOMOBILE_MEDICAL
COMMERCIAL
DISABILITY
LIABILITY_MEDICAL
MEDICAID

Response

application/json
items
Array of ObjectsRequired

Matching payers sorted by relevance, with the most relevant matches listed first.

Array item
nextPageToken
StringLength: 1 - 1024

Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.

stats
ObjectRequired

Statistics about the search results, including the total number of payers matching the search query and the number of payers supported per transaction type.

Show attributes